Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class Render

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Action
              org.pdfclown.documents.interaction.actions.Render

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class Render

extends Action

'Control the playing of multimedia content' action [PDF:1.6:8.5.3].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Render.OperationEnum`

Constructor Summary
`Render(Screen screen, Render.OperationEnum operation, Rendition rendition)`

Method Summary
`Render` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`Render.OperationEnum` | `getOperation()` Gets the operation to perform when the action is triggered.
`Rendition` | `getRendition()` Gets the rendition object to render.
`Screen` | `getScreen()` Gets the screen where to render the rendition object.
`String` | `getScript()` Gets the JavaScript script to be executed when the action is triggered.
`void` | `setOperation(Render.OperationEnum value)`
`void` | `setRendition(Rendition value)`
`void` | `setScreen(Screen value)`
`void` | `setScript(String value)`

Methods inherited from class org.pdfclown.documents.interaction.actions.Action
`getActions, setActions, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Render

    public Render(Screen screen,
                  Render.OperationEnum operation,
                  Rendition rendition)

Method Detail

### clone

    public Render clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Action`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getOperation

    public Render.OperationEnum getOperation()

  Gets the operation to perform when the action is triggered.

### getRendition

    public Rendition getRendition()

  Gets the rendition object to render.

### getScreen

    public Screen getScreen()

  Gets the screen where to render the rendition object.

### getScript

    public String getScript()

  Gets the JavaScript script to be executed when the action is triggered.

### setOperation

    public void setOperation(Render.OperationEnum value)

  See Also:
    `getOperation()`

### setRendition

    public void setRendition(Rendition value)

  See Also:
    `getRendition()`

### setScreen

    public void setScreen(Screen value)

  See Also:
    `getScreen()`

### setScript

    public void setScript(String value)

  See Also:
    `getScript()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.